## Name

usubBorrow — subtract unsigned integers and generate borrow

## Declaration

`genUType usubBorrow(` | genUType x,
| genUType y,
| out genUType borrow`)`;

## Parameters

`x`

  Specifies the first vector to be used in the subtraction operation.

`y`

  Specifies the second vector to be used in the subtraction operation.

`borrow`

  Specifies the variable to receive the borrow output of the difference.

## Description

`usubBorrow` subtracts two 32-bit unsigned integer variables (scalars or vectors) and generates a 32-bit unsigned integer result, along with a borrow output. The result is the difference of `x` and `y` if non-negative, or 2 32 plus that difference otherwise. The value `borrow` is set to 0 if `x` ≥ `y` and to 1 otherwise.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
usubBorrow | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

uaddCarry

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.